Subject: When to create label bindings

From: "Bryan W" <[email-masked]>
Date: Mon, 09 Jul 2001 10:40:29

Hi,

I am trying to learn MPLS, and I have a question regarding the following:

It seems that the LSR does not automatically create label bindings since the 
setup cost of creating labels for flows of very short length outweighs the 
benefit of having labels.  However, how does an LSR know when to create the 
bindings?  if it uses a simple rule that creates a label when 5 packets of 
the same FEC passes through, would that imply that flows of packet sizes 5 
to 10 will cause the label to be too expensive since, respectively, only 0 
to 5 packets will enjoy the benefit of the label?  Is there a time limit to 
the flow such that after 3 minutes without a packet from a labeled flow, the 
label will be terminated?

Thanks,

Bryan
_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

---

From: "Bryan W" <[email-masked]>
Date: Mon, 09 Jul 2001 12:04:47

Can someone give me definitions and examples of control-driven and 
data-driven?  thx

>From: Robert Raszuk <[email-masked]>
>Reply-To: [email-masked]
>To: Bryan W <[email-masked]>
>CC: [email-masked], [email-masked]
>Subject: Re: When to create label bindings
>Date: Mon, 09 Jul 2001 04:56:24 -0700
>
>Bryan,
>
> > It seems that LSRs do not automatically create labels
>
>Extremely wrong !!! MPSL is control driven not data driven.
>
> > for all flows since it
> > is not economical to do so for very short flows.
>
>MPLS in your definition is extremely not economical as it creates all
>possible bindings even before any packet arrives. In addition some of
>those bindings will be maintained by all LSRs as long as there is route
>to their dst in IGP table and may never even be used.
>
>I would suggest to read MPLS related RFCs or available books as a
>starter.
>
>R.
>
>
> > Bryan W wrote:
> >
> > I am trying to learn MPLS and have the following question:
> >
> > It seems that LSRs do not automatically create labels for all flows 
>since it
> > is not economical to do so for very short flows.  However, what triggers 
>the
> > label creation?  is it a simple rule that specifies, for example, to 
>create
> > a label when 5 packets arrive from the same FEC?  if so, would there be 
>a
> > time limit to the frequency of the packets such that if no packets 
>arrive
> > after a certain time the flow and the label will expire? if a label is
> > created, in the above example, after 5 packets arrive, would that imply 
>that
> > the label is a waste if the flow/FEC only has 5 packets?
> >
> > Thanks,
> >
> > BW
> >
> > -------
> > The MPLS-OPS Mailing List
> > Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
> > Archive: http://www.mplsrc.com/mpls-ops_archive.shtml

---

From: Jeff Parker <[email-masked]>
Date: Mon, 9 Jul 2001 10:21:06 -0400

> Can someone give me definitions and examples of control-driven and 
  
Ipsilon's strategy was data-driven - if they come, we will build it.  

The phone network is control-driven - before you can come, we will
use independant paths to setup the resources for your data.  

- jeff parker
- axiowave networks